commit bf3b4d3bddfaadae04c063b3f578b24fa6073464
Author: castic96 <zdenek.castoral.jr@gmail.com>
Date:   Fri Apr 10 20:17:40 2020 +0200

    #7802: Implementace vykreslování search page s výsledky
    - přidána komponenta search-paginator pro zobrazení dokumentů s listováním
    - komponenta search-box přidána na stránku /search
    - dummy data v search-paginator - je připraveno na načtení z objektu

diff --git a/fe/fulltextsearch/src/app/app.module.ts b/fe/fulltextsearch/src/app/app.module.ts
index 5b0e5ac..1cf1bea 100644
--- a/fe/fulltextsearch/src/app/app.module.ts
+++ b/fe/fulltextsearch/src/app/app.module.ts
@@ -24,6 +24,7 @@ import { MatPaginatorModule } from '@angular/material/paginator';
 import { MatSortModule } from '@angular/material/sort';
 import {MatDialogModule} from '@angular/material/dialog';
 import { AboutDialogComponent } from './components/shared-components/about-dialog/about-dialog.component';
+import { SearchPaginatorComponent } from './components/pages/search/search-paginator/search-paginator.component';
 
 @NgModule({
   declarations: [
@@ -36,7 +37,8 @@ import { AboutDialogComponent } from './components/shared-components/about-dialo
     HelpComponent,
     SearchBoxComponent,
     TableComponent,
-    AboutDialogComponent
+    AboutDialogComponent,
+    SearchPaginatorComponent
   ],
   imports: [
     BrowserModule,
diff --git a/fe/fulltextsearch/src/app/components/pages/search/search-paginator/search-paginator.component.spec.ts b/fe/fulltextsearch/src/app/components/pages/search/search-paginator/search-paginator.component.spec.ts
new file mode 100644
index 0000000..038d507
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/search/search-paginator/search-paginator.component.spec.ts
@@ -0,0 +1,34 @@
+import { async, ComponentFixture, TestBed } from '@angular/core/testing';
+import { NoopAnimationsModule } from '@angular/platform-browser/animations';
+import { MatPaginatorModule } from '@angular/material/paginator';
+import { MatSortModule } from '@angular/material/sort';
+import { MatTableModule } from '@angular/material/table';
+
+import { SearchPaginatorComponent } from './search-paginator.component';
+
+describe('SearchPaginatorComponent', () => {
+  let component: SearchPaginatorComponent;
+  let fixture: ComponentFixture<SearchPaginatorComponent>;
+
+  beforeEach(async(() => {
+    TestBed.configureTestingModule({
+      declarations: [ SearchPaginatorComponent ],
+      imports: [
+        NoopAnimationsModule,
+        MatPaginatorModule,
+        MatSortModule,
+        MatTableModule,
+      ]
+    }).compileComponents();
+  }));
+
+  beforeEach(() => {
+    fixture = TestBed.createComponent(SearchPaginatorComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should compile', () => {
+    expect(component).toBeTruthy();
+  });
+});
diff --git a/fe/fulltextsearch/src/app/components/pages/search/search-paginator/search-paginator.component.ts b/fe/fulltextsearch/src/app/components/pages/search/search-paginator/search-paginator.component.ts
new file mode 100644
index 0000000..c466b53
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/search/search-paginator/search-paginator.component.ts
@@ -0,0 +1,30 @@
+import { AfterViewInit, Component, OnInit, ViewChild } from '@angular/core';
+import { MatPaginator } from '@angular/material/paginator';
+import { MatSort } from '@angular/material/sort';
+import { MatTable } from '@angular/material/table';
+import { SearchPaginatorDataSource, SearchPaginatorItem } from './search-paginator-datasource';
+
+@Component({
+  selector: 'app-search-paginator',
+  templateUrl: './search-paginator.component.html',
+  styleUrls: ['./search-paginator.component.css']
+})
+export class SearchPaginatorComponent implements AfterViewInit, OnInit {
+  @ViewChild(MatPaginator) paginator: MatPaginator;
+  @ViewChild(MatSort) sort: MatSort;
+  @ViewChild(MatTable) table: MatTable<SearchPaginatorItem>;
+  dataSource: SearchPaginatorDataSource;
+
+  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
+  displayedColumns = ['image'];
+
+  ngOnInit() {
+    this.dataSource = new SearchPaginatorDataSource();
+  }
+
+  ngAfterViewInit() {
+    this.dataSource.sort = this.sort;
+    this.dataSource.paginator = this.paginator;
+    this.table.dataSource = this.dataSource;
+  }
+}
